/*
 * Copyright (C) 2017 Ole Reglitzki
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General
 * Public License as published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with this program. If not, see
 * <http://www.gnu.org/licenses/>.
 */

@import "../variables.scss";

table {
  $table-cell-padding: 3px 6px;
  $table-border-width: 1px;
  $table-border-color: fade_out($body-fg, .8);

  max-width: 100%;
  border-spacing: 0;

  tbody td {
    vertical-align: top;
    border-top: $table-border-width solid $table-border-color;
  }

  thead th {
    vertical-align: bottom;
    border-bottom: (2 * $table-border-width) solid $table-border-color;
  }

  tbody td, thead th {
    padding: $table-cell-padding;

    &:not(:last-child) {
      border-right: $table-border-width solid $table-border-color;
    }
    &:not(:first-child) {
      border-left: $table-border-width solid $table-border-color;
    }
  }
}
